Package org.zkoss.web

## Class Attributes

- java.lang.Object
- - org.zkoss.web.Attributes

-     public class Attributes
      extends java.lang.Object

  Definition of constants used as attributes and parameters across requests.
  Author:
    tomyeh

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `ALERT` | The attribute name that contains the alert passed from another request `Https.sendRedirect(javax.servlet.ServletContext, javax.servlet.http.HttpServletRequest, javax.servlet.http.HttpServletResponse, java.lang.String, java.util.Map, int)`.
    `static java.lang.String` | `ALERT_TYPE` | Denote the type of `ALERT`.
    `static java.lang.String` | `ARG` | The attribute used to pass parameters from the caller that invokes Servlets.include() or Servlets.forward() with `Servlets.PASS_THRU_ATTR`.
    `static java.lang.String` | `ASYNC_CONTEXT_PATH` | The async context path; set by the servlet container.
    `static java.lang.String` | `ERROR_EXCEPTION` | The attribute to hold the exception, if any.
    `static java.lang.String` | `ERROR_EXCEPTION_LIST` | The attribute to hold the exception list, if any.
    `static java.lang.String` | `FORWARD_CONTEXT_PATH` | The original context path that forwards this page; set by the servlet container.
    `static java.lang.String` | `FORWARD_PATH_INFO` | The original servlet path that forwards this page; set by the servlet container.
    `static java.lang.String` | `FORWARD_QUERY_STRING` | The original servlet path that forwards this page; set by the servlet container.
    `static java.lang.String` | `FORWARD_REQUEST_URI` | The original request URI that forwards this page; set by the servlet container.
    `static java.lang.String` | `FORWARD_SERVLET_PATH` | The original servlet path that forwards this page; set by the servlet container.
    `static java.lang.String` | `INCLUDE_CONTEXT_PATH` | The included context path; set by the servlet container.
    `static java.lang.String` | `INCLUDE_PATH_INFO` | The included servlet path; set by the servlet container.
    `static java.lang.String` | `INCLUDE_QUERY_STRING` | The included servlet path; set by the servlet container.
    `static java.lang.String` | `INCLUDE_REQUEST_URI` | The included request URI; set by the servlet container.
    `static java.lang.String` | `INCLUDE_SERVLET_PATH` | The included servlet path; set by the servlet container.
    `static java.lang.String` | `PREFERRED_2DIGITYEARSTART` | The library property used to store the preferred 2DigitYearStart.
    `static java.lang.String` | `PREFERRED_DATE_FORMAT_INFO` | The session attribute used to specify the class used to return the formats of date, time or both for datebox and timebox.
    `static java.lang.String` | `PREFERRED_FIRST_DAY_OF_WEEK` | The session attribute used to store the preferred first-day-of-week.
    `static java.lang.String` | `PREFERRED_LOCALE` | The session attribute used to store the preferred locale (Locale) in a session.
    `static java.lang.String` | `PREFERRED_TIME_ZONE` | The session attribute used to store the preferred time zone (TimeZone) in a session.
    `static java.lang.String` | `TITLE` | The title (String) of a servlet or a portal.

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `Attributes()` | Don't construct it.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### TITLE

          public static final java.lang.String TITLE

      The title (String) of a servlet or a portal. Stored as an attribute of the request.
      See Also:
        Constant Field Values

    - #### PREFERRED_LOCALE

          public static final java.lang.String PREFERRED_LOCALE

      The session attribute used to store the preferred locale (Locale) in a session.
      See Also:
        Constant Field Values

    - #### PREFERRED_TIME_ZONE

          public static final java.lang.String PREFERRED_TIME_ZONE

      The session attribute used to store the preferred time zone (TimeZone) in a session.
      See Also:
        Constant Field Values

    - #### PREFERRED_FIRST_DAY_OF_WEEK

          public static final java.lang.String PREFERRED_FIRST_DAY_OF_WEEK

      The session attribute used to store the preferred first-day-of-week. The value must be one of `Calendar.SUNDAY`, `Calendar.MONDAY`, `Calendar.SATURDAY` and so on.

      Default: -1 (it means `Calendar.getFirstDayOfWeek()` is assumed)

      Notice that you could specify it as a library property such that it will be the default value for the whole application (with the higher priority than `Calendar`.

      Since:
        5.0.3
      See Also:
        Constant Field Values

    - #### PREFERRED_2DIGITYEARSTART

          public static final java.lang.String PREFERRED_2DIGITYEARSTART

      The library property used to store the preferred 2DigitYearStart.

      Default: 1929

      Since:
        8.6.2
      See Also:
        Constant Field Values

    - #### PREFERRED_DATE_FORMAT_INFO

          public static final java.lang.String PREFERRED_DATE_FORMAT_INFO

      The session attribute used to specify the class used to return the formats of date, time or both for datebox and timebox. The class must implement `DateFormatInfo`.
      Since:
        5.0.7
      See Also:
        Constant Field Values

    - #### ALERT

          public static final java.lang.String ALERT

      The attribute name that contains the alert passed from another request `Https.sendRedirect(javax.servlet.ServletContext, javax.servlet.http.HttpServletRequest, javax.servlet.http.HttpServletResponse, java.lang.String, java.util.Map, int)`. It is automatically reset after the next request is responded. In JSP, web authors use <c:object name="i.alert" scope="request"> to access it.
      See Also:
        Constant Field Values

    - #### ALERT_TYPE

          public static final java.lang.String ALERT_TYPE

      Denote the type of `ALERT`. It could be "error", "warning" and undefined. It is used by JSP page to do more accurate page layout.
      See Also:
        Constant Field Values

    - #### ARG

          public static final java.lang.String ARG

      The attribute used to pass parameters from the caller that invokes Servlets.include() or Servlets.forward() with `Servlets.PASS_THRU_ATTR`.
      See Also:
        Constant Field Values

    - #### INCLUDE_CONTEXT_PATH

          public static final java.lang.String INCLUDE_CONTEXT_PATH

      The included context path; set by the servlet container.
      See Also:
        `Https.getThisContextPath(javax.servlet.ServletRequest)`, `Https.getOriginContextPath(javax.servlet.ServletRequest)`, Constant Field Values

    - #### INCLUDE_SERVLET_PATH

          public static final java.lang.String INCLUDE_SERVLET_PATH

      The included servlet path; set by the servlet container.
      See Also:
        `Https.getThisServletPath(javax.servlet.ServletRequest)`, `Https.getOriginServletPath(javax.servlet.ServletRequest)`, Constant Field Values

    - #### INCLUDE_REQUEST_URI

          public static final java.lang.String INCLUDE_REQUEST_URI

      The included request URI; set by the servlet container.
      See Also:
        `Https.getThisRequestURI(javax.servlet.ServletRequest)`, Constant Field Values

    - #### INCLUDE_PATH_INFO

          public static final java.lang.String INCLUDE_PATH_INFO

      The included servlet path; set by the servlet container.
      See Also:
        `Https.getThisPathInfo(javax.servlet.ServletRequest)`, `Https.getOriginPathInfo(javax.servlet.ServletRequest)`, Constant Field Values

    - #### INCLUDE_QUERY_STRING

          public static final java.lang.String INCLUDE_QUERY_STRING

      The included servlet path; set by the servlet container.
      See Also:
        `Https.getThisQueryString(javax.servlet.ServletRequest)`, `Https.getOriginQueryString(javax.servlet.ServletRequest)`, Constant Field Values

    - #### FORWARD_CONTEXT_PATH

          public static final java.lang.String FORWARD_CONTEXT_PATH

      The original context path that forwards this page; set by the servlet container.
      See Also:
        `Https.getThisServletPath(javax.servlet.ServletRequest)`, `Https.getOriginServletPath(javax.servlet.ServletRequest)`, Constant Field Values

    - #### FORWARD_SERVLET_PATH

          public static final java.lang.String FORWARD_SERVLET_PATH

      The original servlet path that forwards this page; set by the servlet container.
      See Also:
        `Https.getThisServletPath(javax.servlet.ServletRequest)`, `Https.getOriginServletPath(javax.servlet.ServletRequest)`, Constant Field Values

    - #### FORWARD_REQUEST_URI

          public static final java.lang.String FORWARD_REQUEST_URI

      The original request URI that forwards this page; set by the servlet container.
      See Also:
        `Https.getThisRequestURI(javax.servlet.ServletRequest)`, Constant Field Values

    - #### FORWARD_PATH_INFO

          public static final java.lang.String FORWARD_PATH_INFO

      The original servlet path that forwards this page; set by the servlet container.
      See Also:
        `Https.getThisPathInfo(javax.servlet.ServletRequest)`, `Https.getOriginPathInfo(javax.servlet.ServletRequest)`, Constant Field Values

    - #### FORWARD_QUERY_STRING

          public static final java.lang.String FORWARD_QUERY_STRING

      The original servlet path that forwards this page; set by the servlet container.
      See Also:
        `Https.getThisQueryString(javax.servlet.ServletRequest)`, `Https.getOriginQueryString(javax.servlet.ServletRequest)`, Constant Field Values

    - #### ASYNC_CONTEXT_PATH

          public static final java.lang.String ASYNC_CONTEXT_PATH

      The async context path; set by the servlet container.
      See Also:
        `Https.getThisContextPath(javax.servlet.ServletRequest)`, Constant Field Values

    - #### ERROR_EXCEPTION

          public static final java.lang.String ERROR_EXCEPTION

      The attribute to hold the exception, if any.
      See Also:
        Constant Field Values

    - #### ERROR_EXCEPTION_LIST

          public static final java.lang.String ERROR_EXCEPTION_LIST

      The attribute to hold the exception list, if any.
      Since:
        10.2.0
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Attributes

          protected Attributes()

      Don't construct it. All members are static.